Fix "test: unexpected operator" on bsd

This fixes the same issue as a previous fix by Alex Riesen does.

Signed-off-by: Junio C Hamano <junkio@cox.net>
diff --git a/git-sh-setup.sh b/git-sh-setup.sh
index 157c7e4..025ef2d 100755
--- a/git-sh-setup.sh
+++ b/git-sh-setup.sh
@@ -42,7 +42,7 @@
 
 	# Make sure we are in a valid repository of a vintage we understand.
 	GIT_DIR="$GIT_DIR" git repo-config --get core.nosuch >/dev/null
-	if test $? == 128
+	if test $? = 128
 	then
 	    exit
 	fi